/**
 * Author:
 * 
 * Description: 
 */
import java.awt.Font;
import java.io.*;
import java. util.Scanner;

public class Inflator
{
	/**
	 * Main method for the game loop.
	 * The code to read in the data and to display if there is a winner has
	 * already been written for you.
	 * 
	 * @param args	- the name of the file where the parameters are saved
	 */
	public static void main(String[] args)
	{
		try
		{
			Scanner file = new Scanner(new File(args[0]));
			StdDraw.setFont(new Font("SansSerif", Font.BOLD, 18));

			final double increaseRadiusBy  = file.nextDouble();
			final double liftPerUnitVolume = file.nextDouble();        
			final double requiredLift      = file.nextDouble();
			final int    numBalloons       = file.nextInt();

			Balloon [] balloons = new Balloon[numBalloons];
			for (int i = 0; i < numBalloons; i++)
			{
				balloons[i] = new Balloon(file.nextDouble(),       // x
						                  file.nextDouble(),       // y
						                  file.nextDouble(),       // max radius
						                  file.next(),       		 // character
						                  file.nextInt(),          // red
						                  file.nextInt(),          // green
						                  file.nextInt());         // blue                    
			}
			file.close();

			StdDraw.show(0);

			/**** YOUR CODE HERE ****/

			// Display the winning message once the game is over
			StdDraw.setFont(new Font("SansSerif", Font.BOLD, 72));
			StdDraw.setPenColor(StdDraw.BLACK);
			StdDraw.filledRectangle(0.5, 0.51, 0.4, 0.08);
			StdDraw.setPenColor(StdDraw.BLUE);        
			StdDraw.text(0.5, 0.5, "You win!");
			StdDraw.show();
		
	}
	catch (FileNotFoundException e)
	{
		System.out.println("Could not open file.");;
	}
}

}
